package com.uas.search.console;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class LuceneProperties {

	@Value("${lucene.indexes.dir}")
	private String indexesDir;

	@Value("${lucene.components.dir}")
	private String componentsDir;

	/**
	 * 索引文件存储路径
	 */
	public String getIndexesDir() {
		return indexesDir;
	}

	public void setIndexesDir(String indexesDir) {
		this.indexesDir = indexesDir;
	}

	/**
	 * 存放带有属性的器件数据的文件，用于创建索引
	 */
	public String getComponentsDir() {
		return componentsDir;
	}

	public void setComponentsDir(String componentsDir) {
		this.componentsDir = componentsDir;
	}

}
